Modbot Docs
APIAPI referenceSettings

Update automatic role

PUT/api/settings/automatic-roles/{id}

Replace a rule's settings.

Needs the ManageSettings permission.

AuthorizationBearer <token>

An API key, made on Settings, API keys. Every key starts with mbk_.

In: header

Path Parameters

id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/api/settings/automatic-roles/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "name": null,    "vrChatRoleId": null,    "discordRoleId": null,    "wholeTeam": true,    "whoDiscordRoleIds": null,    "whoVRChatRoleIds": null,    "companionRunning": true,    "clipsReady": true,    "inGroupInstance": true,    "minimumLevel": true,    "minimumLevelPassedTrial": true,    "minimumLevelStaffRoleId": null,    "overturnedBans": true,    "overturnedBansMax": null,    "overturnedBansDays": null,    "dailyBanCap": true,    "dailyBanCapMax": null,    "missedClips": true,    "missedClipsMax": null,    "missedClipsDays": null,    "takeBackUserIds": null  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": null,  "vrChatRoleId": null,  "discordRoleId": null,  "wholeTeam": true,  "whoDiscordRoleIds": [    "string"  ],  "whoVRChatRoleIds": [    "string"  ],  "companionRunning": true,  "clipsReady": true,  "inGroupInstance": true,  "minimumLevel": true,  "minimumLevelPassedTrial": true,  "minimumLevelStaffRoleId": null,  "overturnedBans": true,  "overturnedBansMax": null,  "overturnedBansDays": null,  "dailyBanCap": true,  "dailyBanCapMax": null,  "missedClips": true,  "missedClipsMax": null,  "missedClipsDays": null,  "takeBackUserIds": [    "de2d6ce0-69d9-44fe-98c1-ebd39ce82ebe"  ],  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}

Modbot is not endorsed by or affiliated with VRChat Inc. or Discord Inc. VRChat is a trademark of VRChat Inc. Discord is a trademark of Discord Inc. SteamVR is a trademark of Valve Corporation. Windows is a trademark of Microsoft Corporation. Docker is a trademark of Docker, Inc. PostgreSQL is a trademark of the PostgreSQL Community Association of Canada. Railway is a trademark of Railway Corp. Other names are trademarks of their respective owners; see Legal. Modbot and its logo are trademarks of the Modbot project. Open source under AGPL-3.0.